- [HTTP request](https://developers.google.com/health/reference/rest/v4/projects.subscribers/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4/projects.subscribers/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/health/reference/rest/v4/projects.subscribers/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4/projects.subscribers/delete#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4/projects.subscribers/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4/projects.subscribers/delete#body.aspect)
- [IAM Permissions](https://developers.google.com/health/reference/rest/v4/projects.subscribers/delete#body.aspect_1)
- [Examples](https://developers.google.com/health/reference/rest/v4/projects.subscribers/delete#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4/projects.subscribers/delete#try-it)

Deletes a subscriber registration. This will stop all notifications to the subscriber's endpoint.

### HTTP request

`DELETE https://health.googleapis.com/v4/{name=projects/*/subscribers/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4/errors)

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the subscriber to delete. Format: projects/{project}/subscribers/{subscriber} Example: projects/my-project/subscribers/my-subscriber-123 The {subscriber} ID is user-settable (4-36 characters, matching /[a-z](https://developers.google.com/health/reference/rest/v4/projects.subscribers/[a-z0-9-]{2,34}[a-z0-9])/) or system-generated if not provided during creation. It takes the form `projects/{project}/subscribers/{subscriber}`. |

### Query parameters

| Parameters ||
|---|---|
| `force` | `boolean` Optional. If set to true, any child resources (e.g., subscriptions) will also be deleted. If false (default) and child resources exist, the request will fail. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/health/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `health.subscribers.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).